# Kernels

Methods:

`.``matrix`(x)

  Return the kernel matrix K_{ij} = k(x_i, x_j).

`.``vector`(a, x)

  Return the kernel vector K_i = k(x_i, a).

## Linear Kernel

class `mlpy.``KernelLinear`

  Linear Kernel

  K(x, x') = x \cdot x'

## Gaussian Kernel

class `mlpy.``KernelGaussian`(sigma)

  Gaussian Kernel

  K(x, x') = e^{-\frac{\|x - x'\|}{2 \sigma^2}}

## Polynomial Kernel

class `mlpy.``KernelPolynomial`(d)

  Polynomial Kernel

  K(x, x') = {(x \cdot x' + 1)}^d